Name:		linuxdcpp
Version:	1.0.3
Release:	1%{?dist}
Summary:	Direct Connect client

Group:		Applications/Internet
License:	GPLv2+
URL:		https://launchpad.net/linuxdcpp/
Source0:	http://launchpad.net/linuxdcpp/1.0/%{version}/+download/linuxdcpp-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		linuxdcpp-1.0.2-xdg.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	scons gtk2-devel >= 2.10.0 glib2-devel >= 2.14.0 pkgconfig
BuildRequires:	libglade2-devel >= 2.4.0 zlib-devel bzip2-devel openssl-devel
BuildRequires:	desktop-file-utils

%description
LinuxDC++ is a Linux port of DC++, a popular client for Direct Connect network.

%prep
%setup -q
%patch0 -p1

%build
CXXFLAGS="$RPM_OPT_FLAGS" scons %{?_smp_mflags} PREFIX="%{_prefix}"

%install
rm -rf $RPM_BUILD_ROOT
CXXFLAGS="$RPM_OPT_FLAGS" scons %{?_smp_mflags} install PREFIX="%{_prefix}" \
	FAKE_ROOT="$RPM_BUILD_ROOT"

# Icon install
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 0644 pixmaps/linuxdcpp.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install --vendor="" \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
	%{SOURCE1}

# Convert docs to UTF-8
for i in Changelog.txt Credits.txt
do
	iconv -f ISO-8859-1 -t UTF-8 < ${i} > ${i}.tmp
	mv -f ${i}.tmp ${i}
done

# Remove unversioned docdir
rm -rf $RPM_BUILD_ROOT%{_docdir}/linuxdcpp/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changelog.txt Credits.txt License.txt Readme.txt
%{_bindir}/linuxdcpp
%{_datadir}/applications/linuxdcpp.desktop
%{_datadir}/linuxdcpp/
%{_datadir}/pixmaps/linuxdcpp.png

%changelog
* Fri Feb 06 2009 Marcin Garski <mgarski[AT]post.pl> 1.0.3-1
- Update to 1.0.3

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 1.0.2-3
- rebuild with new openssl

* Thu Sep 25 2008 Marcin Garski <mgarski[AT]post.pl> 1.0.2-2
- Use XDG Downloads directory (#460749)

* Sun Jul 06 2008 Marcin Garski <mgarski[AT]post.pl> 1.0.2-1
- Update to 1.0.2
- Drop all patches (all upstream now)

* Wed Jul 02 2008 Marcin Garski <mgarski[AT]post.pl> 1.0.1-3
- Fix for CVE-2008-2953 and CVE-2008-2954 (#453731)

* Wed Feb 13 2008 Marcin Garski <mgarski[AT]post.pl> 1.0.1-2
- GCC 4.3 compile fix

* Fri Dec 28 2007 Marcin Garski <mgarski[AT]post.pl> 1.0.1-1
- Update to 1.0.1

* Sat Dec 08 2007 Marcin Garski <mgarski[AT]post.pl> 1.0.0-4
- Fix desktop file (#413231)

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.0.0-3
 - Rebuild for deps

* Thu Oct 11 2007 Marcin Garski <mgarski[AT]post.pl> 1.0.0-2
- Remove buildroot from build section

* Mon Sep 24 2007 Marcin Garski <mgarski[AT]post.pl> 1.0.0-1
- Initial specfile
